NPROC(1)

NAME
nproc - print the number of processing units available

SYNOPSIS
nproc [OPTION]...

DESCRIPTION

Print the number of processing units available to the current process, which may be less than the number of online processors

--all
    print the number of installed processors

--ignore=N
    if possible, exclude N processing units

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Giuseppe Scrivano.

REPORTING BUGS
Report nproc bugs to bug-coreutils@gnu.org
GNU coreutils home page: <http://www.gnu.org/software/coreutils/>
General help using GNU software: <http://www.gnu.org/gethelp/>
Report nproc translation bugs to <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for nproc is maintained as a Texinfo manual. If the info and nproc programs are properly installed at your site, the command

    info coreutils 'nproc invocation'

should give you access to the complete manual.